Skip to content

Get cards

Request

Security
oauth2(Required scopes: card:list) or bearerAuth or apiKeyHeader
Path
personIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

A Borrower's unique identifier, tied to a person or a business. Can be Peach or a lender's external identifier.

loanIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

The unique identifier of the Loan we wish to retrieve. Can be Peach or lender's external identifier.

Query
showPanboolean

Set to true to get the full PAN in the response. Special permission is required.

showCvvboolean

Set to true to get the full CVV2 number in the response. Special permission is required.

refreshboolean

If true, the Peach system will make new API calls to the card issuer to get the most recent card details and balances, and will store the new details in the Peach database. Otherwise, the Peach system will return the most recent details from its database.

statusstring

Filter cards by status. Accepts a single value or a comma-separated list (e.g. ?status=blocked or ?status=blocked,closed).

limitinteger, [ 1 .. 100 ]

The maximum count of results to retrieve.

Default:25
offsetinteger, >= 0

Offset from the start of results.

startingAfterstring

Return results starting after the provided object identifier.

endingBeforestring

Return results ending before the provided object identifier.

sortByArray of strings

The data attributes by which to sort the results.

GET
/people/{personId}/loans/{loanId}/cards
curl -i -X GET \
  'https://sandboxapi.peach.finance/api/people/{personId}/loans/{loanId}/cards?showPan=true&showCvv=true&refresh=true&status=string&limit=25&offset=0&startingAfter=string&endingBefore=string&sortBy=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
countintegerread-only

Total number of items in this result.

statusinteger

HTTP status code.

dataArray of any(Card)
Response
{ "count": 0, "status": 0, "data": [ {} ] }